Subject: [rmcat] Shepherd's review of draft-ietf-rmcat-rtp-cc-feedback

From: Anna Brunström <[email-masked]>
Date: Wed, 9 Mar 2022 00:45:59 +0000

Dear all,

I am preparing the shepherd's write-up for draft-ietf-rmcat-rtp-cc-feedback. I have a few editorial comments from the shepherd's review of the document. You can find them included below.

Best Regards,
Anna

Section 1:
[RFC8861], [RFC8861]
remove duplicate reference

Section 2:
2. Possible Models for RTCP Feedback
Title does not really reflect the content of the section, suggest "Considerations for RTCP Feedback"

so-called "stretch-ACK" behaviour is non-standard and not guaranteed
Perhaps add a reference for stretch ACKs?

The RTP standards have long said that a 5% overhead for RTCP traffic generally acceptable
... traffic is generally acceptable

possibility with a higher overhead?
possibly with a higher overhead

changes the sending rate
changes to the sending rate

Section 3.1:

Tf seconds (Tf = 20ms in many cases, but values up to 60ms are not uncommon)
mismatch in the units

The CCFB packets contains
The CCFB packets contain

Table 1: RTCP bandwidth needed for VoIP feedback
Table 1: RTCP bandwidth needed for VoIP feedback (compound reports only) - To be consistent with Table 2 caption

Section 3.2:

Draft says: These "non-compound" (actually, compound but reduced size in this case) RTCP packets
After this, the text use a mix of "non-compound" and "reduced size". I find this a bit confusing. Maybe better to stick to one.

every frames
every frame

Section 4:
needs be
needs to be

---------------------------------------------------------------------
Professor Anna Brunstrom
Department of Mathematics and Computer Science
Karlstad University
651 88 Karlstad, Sweden
Phone:   +46 54 7001795
E-mail:  [email-masked]
---------------------------------------------------------------------

När du skickar e-post till Karlstads universitet behandlar vi dina personuppgifter<https://www.kau.se/gdpr>.
When you send an e-mail to Karlstad University, we will process your personal data<https://www.kau.se/en/gdpr>.